Skip to content

List Runs

GET /runs
NameInTypeNotes
agent_idquerystring (uuid) | nulloptional—
persona_idquerystring (uuid) | nulloptionalruns that resolved this overlay
session_idquerystring (uuid) | nulloptional—
statusqueryqueued | running | suspended | succeeded | failed | timed_out | cancelled | nulloptional—
parent_run_idquerystring (uuid) | nulloptional—
limitqueryintegeroptionalDefault 50. min 1 max 200
cursorquerystring | nulloptional—
offsetqueryinteger | nulloptionalmin 0
StatusDescriptionBody
200Successful ResponsePage_RunView_
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/runs \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
itemsRunView[]required—
next_cursorstring | nulloptional—
totalinteger | nulloptional—